%define gecko_version 1.8.1.19

Summary: HTML pages thumbnailer
Name: gnome-web-photo
Version: 0.3
Release: 15%{?dist}
License: LGPLv2+
Group: Applications/Internet
URL: http://ftp.gnome.org/pub/GNOME/sources/gnome-web-photo/%{version}/
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-web-photo/%{version}/%{name}-%{version}.tar.bz2

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(post): GConf2
Requires(preun): GConf2
Requires: gecko-libs = %{gecko_version}
BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: libxml2-devel
BuildRequires: gnome-vfs2-devel
#BuildRequires: gecko-devel >= 1.8
BuildRequires: gecko-devel = %{gecko_version}
BuildRequires: libjpeg-devel
BuildRequires: gettext perl(XML::Parser)

%description
gnome-web-photo contains a thumbnailer that will be used by GNOME applications,
including the file manager, to generate screenshots of web pages.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

mv $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/thumbnailer.schemas \
	$RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/gnome-web-photo.schemas

%find_lang %{name}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gnome-web-photo.schemas >& /dev/null

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
	%{_sysconfdir}/gconf/schemas/gnome-web-photo.schemas 		\
	>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-web-photo.schemas >& /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS README TODO COPYING.README
%{_sysconfdir}/gconf/schemas/gnome-web-photo.schemas
%{_bindir}/*
%{_datadir}/gnome-web-photo

%changelog
* Wed Dec 17 2008 Christopher Aillon <caillon@redhat.com> - 0.3-15
- Rebuild against newer gecko

* Wed Nov 12 2008 Christopher Aillon <caillon@redhat.com> - 0.3-14
- Rebuild against newer gecko

* Tue Sep 23 2008 Christopher Aillon <caillon@redhat.com> - 0.3-13
- Rebuild against newer gecko

* Tue Jul 15 2008 Christopher Aillon <caillon@redhat.com> - 0.3-12
- Rebuild against newer gecko

* Wed Jul 02 2008 Christopher Aillon <caillon@redhat.com> - 0.3-11
- Rebuild against newer gecko

* Wed Apr 16 2008 Christopher Aillon <caillon@redhat.com> - 0.3-10
- Rebuild against newer gecko

* Tue Mar 25 2008 Christopher Aillon <caillon@redhat.com> - 0.3-9
- Rebuild against newer gecko

* Fri Feb  8 2008 Christopher Aillon <caillon@redhat.com> - 0.3-8
- Rebuild against newer gecko

* Tue Nov 27 2007 Christopher Aillon <caillon@redhat.com> - 0.3-7
- Rebuild against newer gecko

* Tue Nov 06 2007 - Martin Stransky <stransky@redhat.com> - 0.3-6
- Rebuild for new Gecko

* Thu Oct 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-5
- Rebuild for new Gecko, tighten dependencies

* Mon Sep 10 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-4
- Fix license, as mentioned by Kevin Fenzi

* Thu Sep 06 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-3
- Update following Matthias Clasen's comments

* Wed Sep 05 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-2
- Update following Peter Gordon's comments

* Tue Mar 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-1
- First post!

